<template>
	<view class="ch-flex-item" :class="flexCls">
		<slot></slot>
	</view>
</template>

<script setup>
	import { computed, defineProps } from 'vue';
	
	const props = defineProps([
		'flex'
	])
	
	const flexCls = computed(() => {
		return props.flex ? `ch-flex--${props.flex}` : ''
	})
</script>

<style lang="scss" scoped>
@import './ch-flex-item.scss'
</style>